import 'package:flutter_test/flutter_test.dart';
import 'package:search_helper/search_helper.dart';


void main() {
  test('Search is well performed', () {
    final searchHelper = SearchHelper.stringInstantSearch(
        data:[
          {
            'name': "osama",
            'age': 21,
            'father': "Nousahd"
          },

          {
            'name': "haseeb",
            'age': 20,
            'father': "osama"
          },
          {
            'name': "shahrok",
            'age': 22,
            'father': "Noushad"
          },
          {
            'name': "asad",
            'age': 23,
            'father': "Noushad"
          },
        ],
        keys:['name','father'],
     searchWord: 'osama'
    );

    expect(searchHelper, [{
      'name': "osama",
      'age': 21,
      'father': "Nousahd"
    },{
      'name': "haseeb",
      'age': 20,
      'father': "osama"
    }]);
  });
}
